<?php

defined('ABSPATH') || exit;

if (is_user_logged_in() || 'no' === get_option('woocommerce_enable_checkout_login_reminder')) {
	return;
}

$providers = '';
$v4_oauth_options = get_option('v4_oauth');
if (!empty($v4_oauth_options['providers'])) {
	foreach ($v4_oauth_options['providers'] as $provider) {
		ob_start();
		?>
		<a class="button Button"
		   href="?connect=<?= $provider ?>">Sign in with <?= v4\wp\plugins\oauth\Settings::$providers[$provider] ?></a>
		<?php
		$providers .= ob_get_clean();
	}
}

wc_print_notice(
	apply_filters('woocommerce_checkout_login_message', esc_html__('Returning customer?', 'woocommerce'))
	. $providers
	. '<a class="button Button" href="?connect=1crm">' . esc_html__('Login', 'v4-wp-webhook') . '</a>',

	'notice'
);

?>