<?php
if (!defined('ABSPATH')) die('wrong entry point');

if (!function_exists('v4_wp1crm_generateRandomString')) {
    function v4_wp1crm_generate_v4nonce($length = 10): string
    {
        $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $charactersLength = strlen($characters);
        $randomString = '';
        for ($i = 0; $i < $length; $i++) {
            $randomString .= $characters[rand(0, $charactersLength - 1)];
        }
        return $randomString;
    }
}

?>
    <table class="form-table">
        <tbody>
        <tr>
            <th scope="row"><p>cleanup serialized meta_data</p></th>
            <td>
                <form id="v4-wp1crm-tools-cleanup_serialized_meta"
                      action="<?php echo admin_url('admin-ajax.php'); ?>"
                      method="get">
                    <input type="hidden" name="action" value="wp1crm_reset_settings">
                    <input type="hidden" name="v4nonce" value="<?php echo v4_wp1crm_generate_v4nonce(); ?>">
                    <p>
                        <label>
                            <input type="text" name="1crm_url">
                        </label>
                    </p>
                    <p><input type="submit" value="do cleanup"></p>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
<?php
